%define _requires_exceptions  libfltk_images.so.1.1\\|libfltk.so.1.1

Summary:	tabencode media converter is an audio and video converter
Summary(de):	tabencode media converter ist ein Audio und Video Konverter
Name:		tabencode
Version:	0.958
Release:	%mkrel 2
URL:		http://www.thugsatbay.com/tab/?q=tab-video-converter-encoder
License:	GPL
Group:		Video
Source:		t@b_tabencode_linux.tar.xz
Source1:	tabencode.png
BuildRoot:	%{_tmppath}/filez
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Requires:	libfltk1.1 >= 1.1
Requires:	sox
Requires:	mencoder
Obsoletes:	%name < %version

%description
tabencode media converter is an audio and video converter / encoder utility which provides
a graphical front end for Mencoder*, Sox* and potentially other non-t@b software like RealProducer*.
This utility will convert a great variety (see below) of video and audio formats into files which
both zs3 and ZS4 can read/import.

It thus will convert most *.mov *.mpg and similar formats to either AVI/mjpg (for zs4) or
to AVI/uncompressed for both zs3 and ZS4. It can also encode the output of ZS4 into *.mpg files.

#german
%description -l de
tabencode Media Converter ist ein Audio-und Video-Konverter / Encoder-Dienstprogramm,
das ein grafisches Frontend für MEncoder, Sox und möglicherweise andere bietet. 
Dieses Dienstprogramm wird eine große Vielfalt von Video-und Audio-Formate in
Dateien, die sowohl ZS3 und ZS4 lesen/importieren, zu konvertieren. Es wird gewandelt
*.mov *.mpg und ähnlichen Formaten, entweder zu AVI/MJPG (für ZS4) oder AVI
/unkomprimiert für beide ZS3 und ZS4. Es kann auch Kodierung von ZS4 in *.mpg Dateien.

%prep

%setup -q -n filez

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install -m 0755 $RPM_BUILD_DIR/filez/tabencode %buildroot%_bindir/tabencode

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/tabencode.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Tabencode
Exec=tabencode
Comment=t@b media converter is an audio and video converter
Comment(de)=t@b media converter ist ein Audio und Video Konverter
Icon=tabencode.png
Terminal=false
Type=Application
GenericName=Tabencode
Categories=AudioVideo;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video
Encoding=UTF-8
X-Desktop-File-Install-Version=0.958
EOF



mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 %SOURCE1 %{buildroot}%{_iconsdir}/tabencode.png


%clean
rm -rf %buildroot

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-, root, root)
%{_bindir}/tabencode
%_datadir/applications/tabencode.desktop
%doc LICENSE README gpl.txt lesser.txt lgpl.txt
%_datadir/icons/tabencode.png


%changelog
* Sun Nov 21 2010 Texstar <texstar at gmail.com> 0.958-2pclos2010
- rebuild for new fltk

* Sun Nov 29 2009 Leiche <MeissSW01@aol.com> 0.958-1pclos2010
- first build for PCLinuxOS
